#
# spec file for package python-parameterized
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-parameterized
Version:        0.7.0
Release:        bp153.1.16
Summary:        Parameterized testing
License:        BSD-2-Clause
Url:            https://github.com/wolever/parameterized
Source:         https://files.pythonhosted.org/packages/source/p/parameterized/parameterized-%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose2}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module unittest2}
Suggests:       python-nose
Suggests:       python-nose2
Suggests:       python-unittest2
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Parameterized testing with any Python test framework.

Not working with supportest "pytest" versions

%prep
%setup -q -n parameterized-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF8
%{python_expand nosetests-%$python_version}
%{python_expand nose2-%$python_version}
%{python_expand unit2-%$python_version}
%python_exec -m unittest parameterized.test

%files %{python_files}
%doc CHANGELOG.txt README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Fri Dec 13 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1159018, jsc#PM-1507)
* Tue Nov  5 2019 Ondřej Súkup <mimi.vx@gmail.com>
- remove pytest test, enable other test frameworks
* Wed Aug 21 2019 Tomáš Chvátal <tchvatal@suse.com>
- Use pytest 3.x series as newer use different syntax
* Fri Mar 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.7.0:
  * Added parameterized_class feature, for parameterizing entire test
    classes (many thanks to @TobyLL for their suggestions and help testing!)
  * Fix DeprecationWarning on `inspect.getargs` (thanks @brettdh;
    https://github.com/wolever/parameterized/issues/67)
  * Make sure that `setUp` and `tearDown` methods work correctly (#40)
  * Raise a ValueError when input is empty (thanks @danielbradburn;
    https://github.com/wolever/parameterized/pull/48)
  * Fix the order when number of cases exceeds 10 (thanks @ntflc;
    https://github.com/wolever/parameterized/pull/49)
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 16 2018 toddrme2178@gmail.com
- Use license tag
* Sun Oct 22 2017 toddrme2178@gmail.com
- Initial version
